import {Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards} from "@nestjs/common";
import {AdminAuthGuard} from "src/core/guards/admin-auth.guard";
import {Constants} from "src/utils/constants";
import {ApplicationsIntegrationCmsService} from "./applications-integration-cms.service";
import {UpdateApplicationsIntegrationCmsDto} from "./dto/update-applications-integration-cms.dto";

@Controller({path: "applications-integration-cms", version: Constants.API_VERSION_1})

export class ApplicationsIntegrationCmsController {
    constructor(private readonly service: ApplicationsIntegrationCmsService) {
    }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
        @Body() dto: UpdateApplicationsIntegrationCmsDto
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
