import {EntityRepository, Repository} from "typeorm";
import {UpdateFAQPageCmsDto} from "./dto/update-faq-page-cms.dto";
import {FAQPageCms} from "./entities/faq-page-cms.entity";

@EntityRepository(FAQPageCms)
export class FAQPageCmsRepository extends Repository<FAQPageCms> {

    async createEntity(dto: UpdateFAQPageCmsDto): Promise<FAQPageCms | Error> {
        try {
            const entity = this.create({
                title: dto.title,
                buttonText: dto.buttonText,
                freeTrialTitle: dto.freeTrialTitle,
                emailPlaceHolder: dto.emailPlaceHolder,
                sendButtonText: dto.sendButtonText
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateFAQPageCmsDto, id: string): Promise<FAQPageCms | Error> {
        try {
            await this.update(id, {
                title: dto.title,
                buttonText: dto.buttonText,
                freeTrialTitle: dto.freeTrialTitle,
                emailPlaceHolder: dto.emailPlaceHolder,
                sendButtonText: dto.sendButtonText
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<FAQPageCms[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}