import {Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards} from "@nestjs/common";
import {AdminAuthGuard} from "src/core/guards/admin-auth.guard";
import {Constants} from "src/utils/constants";
import {PartnerPageCmsService} from "./partner-page-cms.service";
import {UpdatePartnerPageCmsDto} from "./dto/update-partner-page-cms.dto";

@Controller({path: "partner-page-cms", version: Constants.API_VERSION_1})

export class PartnerPageCmsController {
    constructor(private readonly service: PartnerPageCmsService) {
    }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
        @Body() dto: UpdatePartnerPageCmsDto
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
