import {Module} from '@nestjs/common';
import {SigninCmsService} from './signin-cms.service';
import {SigninCmsController} from './signin-cms.controller';
import {JwtModule} from "@nestjs/jwt";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import {UsersRepository} from "src/modules/users/user.repository";
import {TypeOrmModule} from "@nestjs/typeorm";
import {SigninCmsRepository} from "./signin-cms.repository";
import JwtHelper from "src/core/jwt/jwt.helper";
import {DoSpacesServicerovider} from "src/modules/SpacesModule/SpacesService";
import {DoSpacesService} from "src/modules/SpacesModule/SpacesService/doSpacesService";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([SigninCmsRepository])
    ],
    controllers: [SigninCmsController],
    providers: [SigninCmsService, JwtHelper, DoSpacesServicerovider, DoSpacesService]
})
export class SigninCmsModule {
}
