import {Module} from '@nestjs/common';
import {TypeOrmModule} from '@nestjs/typeorm';
import {BenefitsAndAdvantageSectionRepository} from './benefits-and-advantage-section.repository';
import {BenefitsAndAdvantageSectionController} from './benefits-and-advantage-section.controller';
import {BenefitsAndAdvantageSectionService} from './benefits-and-advantage-section.service';
import {JwtModule} from '@nestjs/jwt';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import {UsersRepository} from 'src/modules/users/user.repository';
import JwtHelper from 'src/core/jwt/jwt.helper';
import {DoSpacesService} from "../../SpacesModule/SpacesService/doSpacesService";
import {DoSpacesServicerovider} from "../../SpacesModule/SpacesService";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([BenefitsAndAdvantageSectionRepository])
    ],
    controllers: [BenefitsAndAdvantageSectionController],
    providers: [BenefitsAndAdvantageSectionService, JwtHelper, DoSpacesServicerovider, DoSpacesService
    ]
})
export class BenefitsAndAdvantageSectionModule {
}
