import {Module} from '@nestjs/common';
import {TypeOrmModule} from '@nestjs/typeorm';
import {FaqContentRepository} from './faq-content.repository';
import {FaqContentController} from './faq-content.controller';
import {FaqContentService} from './faq-content.service';
import {JwtModule} from '@nestjs/jwt';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import {UsersRepository} from 'src/modules/users/user.repository';
import JwtHelper from 'src/core/jwt/jwt.helper';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([FaqContentRepository])
    ],
    controllers: [FaqContentController],
    providers: [FaqContentService, JwtHelper]
})
export class FaqContentModule {
}
