import {Module} from '@nestjs/common';
import {TypeOrmModule} from '@nestjs/typeorm';
import {JwtModule} from '@nestjs/jwt';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import {UsersRepository} from 'src/modules/users/user.repository';
import JwtHelper from 'src/core/jwt/jwt.helper';
import { EventScheduleController } from './event-schedule.controller';
import { EventScheduleRepository } from './event-schedule.repository';
import { EventScheduleService } from './event-schedule.service';
import { MailSenderService } from '../mail-sender/mail-sender.service';
import { SendEmailRepository } from '../send-email/send-email-repository';
import { NotificationRepository } from '../notification/notification.repository';
import { EventScheduleGuestRepository } from './event-schedule-guest.repository';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([SendEmailRepository]),
        TypeOrmModule.forFeature([EventScheduleRepository, UsersRepository, NotificationRepository, EventScheduleGuestRepository]),
    ],
    controllers: [EventScheduleController],
    providers: [EventScheduleService, JwtHelper, MailSenderService]
})
export class EventScheduleModule {
}
