import {CoreEntity} from "src/core/core.entity";
import {invitationStatusType} from "src/enum-type/invitation-status.enum";
import {Column, Entity} from "typeorm";

@Entity("invites")
export class InvitesEntity extends CoreEntity {
    @Column()
    transactionId: string;

    @Column()
    role: string;

    @Column()
    invitedUserId: string;

    @Column()
    email: string;

    @Column()
    invitedBy: string;

    @Column({nullable: true, default: null})
    message: string;

    @Column({
        type: "enum",
        enum: invitationStatusType,
        default: invitationStatusType.PENDING
    })
    status: invitationStatusType;
}
