import {Module} from "@nestjs/common";
import {JwtModule} from "@nestjs/jwt";
import {TypeOrmModule} from "@nestjs/typeorm";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import {AuthService} from "../auth/auth.service";
import {ChangePasswordTokenRepository} from "../change-password-token/change-password-token.repository";
import {MailSenderService} from "../mail-sender/mail-sender.service";
import {UsersRepository} from "../users/user.repository";
import {SiteFrontendController} from "./site-frontend.controller";
import {SiteFrontendService} from "./site-frontend.service";
import {FaqContentRepository} from "../CRUD/faq-content/faq-content.repository";
import {FAQPageCmsRepository} from "../CMS/faq-page-cms/faq-page-cms.repository";
import {EmailNotifierRepository} from "../email-notifier/email-notifier-repository";
import {AboutUsPageCmsRepository} from "../CMS/about-us-page-cms/about-us-page-cms.repository";
import {AboutPageContentRepository} from "../CRUD/about-page-content/about-page-content.repository";
import {LeadersContentRepository} from "../CRUD/leaders-content/leaders-content.repository";
import {PressAboutContentCmsRepository} from "../CMS/press-about-content-cms/press-about-content-cms.repository";
import {PressKitPageCmsRepository} from "../CMS/press-kit-page-cms/press-kit-page-cms.repository";
import {PressLinkContentRepository} from "../CRUD/press-link-content/press-link-content.repository";
import {PressCoverageContentRepository} from "../CRUD/press-coverage-content/press-coverage-content.repository";
import {CareerPageCmsRepository} from "../CMS/career-page-cms/career-page-cms.repository";
import {CareerTeamRepository} from "../CRUD/career-team/career-team.repository";
import {CareerLocationRepository} from "../CRUD/career-location/career-location.repository";
import {ContactUsPageCmsRepository} from "../CMS/contact-us-page-cms/contact-us-page-cms.repository";
import {DesignationRepository} from "../CRUD/designation/designation.repository";
import {OrganizationSizeRepository} from "../CRUD/organization-size/organization-size.repository";
import {PartnerPageCmsRepository} from "../CMS/partner-page-cms/partner-page-cms.repository";
import {AccelerateContentRepository} from "../CRUD/accelerate-content/accelerate-content.repository";
import {PremiumPartnersContentRepository} from "../CRUD/premium-partners-content/premium-partners-content.repository";
import {HeaderFooterCmsRepository} from "../CMS/header-footer-cms/header-footer-cms.repository";
import {OfficeContentRepository} from "../CRUD/office-content/office-content.repository";
import {SocialLinkRepository} from "../CRUD/social-link/social-link.repository";
import {CareerModelRepository} from "../CRUD/career-model/career-model.repository";
import {CareerDetailsPageCmsRepository} from "../CMS/career-details-page-cms/career-details-page-cms.repository";
import {SchedulePageCmsRepository} from "../CMS/schedule-page-cms/schedule-page-cms.repository";
import {ScheduleIndustryRepository} from "../CRUD/schedule-industry/schedule-industry.repository";
import {ScheduleRoleRepository} from "../CRUD/schedule-role/schedule-role.repository";
import {
    ScheduleTransactionLimitRepository
} from "../CRUD/schedule-transaction-limit/schedule-transaction-limit.repository";
import {
    HomePageHeroSectionCmsRepository
} from "../CMS/home-page-hero-section-cms/home-page-hero-section-cms.repository";
import {HomePageBrandSectionRepository} from "../CRUD/home-page-brand-section/home-page-brand-section.repository";
import {
    BenefitsAndAdvantageSectionCmsRepository
} from "../CMS/benefits-and-advantage-section-cms/benefits-and-advantage-section-cms.repository";
import {
    BenefitsAndAdvantageSectionRepository
} from "../CRUD/benefits-and-advantage-section/benefits-and-advantage-section.repository";
import {
    MarketYourBusinessSectionCmsRepository
} from "../CMS/market-your-business-section-cms/market-your-business-section-cms.repository";
import {ImproveSectionCmsRepository} from "../CMS/improve-section-cms/improve-section-cms.repository";
import {HowItWorksSectionCmsRepository} from "../CMS/how-it-works-section-cms/how-it-works-section-cms.repository";
import {HowItWorksSectionRepository} from "../CRUD/how-it-works-section/how-it-works-section.repository";
import {NewsletterCmsRepository} from "../CMS/newsletter-cms/newsletter-cms.repository";
import {CustomerReviewsCmsRepository} from "../CMS/customer-reviews-cms/customer-reviews-cms.repository";
import {CustomerReviewsRepository} from "../CRUD/customer-reviews/customer-reviews.repository";
import {EasyPaymentSectionCmsRepository} from "../CMS/easy-payment-section-cms/easy-payment-section-cms.repository";
import {PaymentPackageRepository} from "../CRUD/payment-package/payment-package.repository";
import {ApplicationsIntegrationRepository} from "../CRUD/applications-integration/applications-integration.repository";
import {WhatsNextSectionCmsRepository} from "../CMS/whats-next-section-cms/whats-next-section-cms.repository";
import {SitePageTitleCmsRepository} from "../CMS/site-page-title-cms/site-page-title-cms.repository";
import {
    ApplicationsIntegrationCmsRepository
} from "../CMS/applications-integration-cms/applications-integration-cms.repository";
import {SigninCmsRepository} from "../CMS/signin-cms/signin-cms.repository";
import {SignupCmsRepository} from "../CMS/signup-cms/signup-cms.repository";
import {AuthCommonDataRepository} from "../CRUD/auth-common-data/auth-common-data.repository";
import {ContactModelRepository} from "../CRUD/contact-model/contact-model.repository";
import {SubscriptionModelRepository} from "../CRUD/subscription-model/subscription-model.repository";
import {CareerApplicationModelRepository} from "../CRUD/career-application-model/career-application-model.repository";
import {ScheduleModelRepository} from "../CRUD/schedule-model/schedule-model.repository";
import {TransactionRepository} from "../transaction/transaction.repository";
import {TransactionNotesRepository} from "../transaction-notes/transaction-notes.repository";
import {PartyRepository} from "../party/party.repository";
import { TransactionAddressDetailsRepository } from "../transaction-address-details/transaction-address-details.repository";
import { TransactionTimelineDetailsRepository } from "../transaction-timeline-details/transaction-timeline-details.repository";
import { TransactionDocumentsRepository } from "../transaction-documents/transaction-documents.repository";
import { EventScheduleRepository } from "../event-schedule/event-schedule.repository";
import { InvitesRepository } from "../invites/invites.repository";
import { LogsRepository } from "../transaction-logs/logs.repository";
import { TransactionPaymentHistoryRepository } from "../transaction-payment-history/transaction-payment-history.repository";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([ChangePasswordTokenRepository]),
        TypeOrmModule.forFeature([
            FaqContentRepository,
            FAQPageCmsRepository,
            EmailNotifierRepository,
            AboutUsPageCmsRepository,
            AboutPageContentRepository,
            LeadersContentRepository,
            PressAboutContentCmsRepository,
            PressKitPageCmsRepository,
            PressCoverageContentRepository,
            PressLinkContentRepository,
            CareerPageCmsRepository,
            CareerTeamRepository,
            CareerLocationRepository,
            ContactUsPageCmsRepository,
            DesignationRepository,
            OrganizationSizeRepository,
            AccelerateContentRepository,
            PartnerPageCmsRepository,
            PremiumPartnersContentRepository,
            HeaderFooterCmsRepository,
            OfficeContentRepository,
            SocialLinkRepository,
            CareerModelRepository,
            CareerDetailsPageCmsRepository,
            SchedulePageCmsRepository,
            ScheduleRoleRepository,
            ScheduleTransactionLimitRepository,
            ScheduleIndustryRepository,
            HomePageHeroSectionCmsRepository,
            HomePageBrandSectionRepository,
            BenefitsAndAdvantageSectionCmsRepository,
            BenefitsAndAdvantageSectionRepository,
            MarketYourBusinessSectionCmsRepository,
            ImproveSectionCmsRepository,
            HowItWorksSectionCmsRepository,
            HowItWorksSectionRepository,
            NewsletterCmsRepository,
            CustomerReviewsCmsRepository,
            CustomerReviewsRepository,
            EasyPaymentSectionCmsRepository,
            PaymentPackageRepository,
            ApplicationsIntegrationRepository,
            WhatsNextSectionCmsRepository,
            SitePageTitleCmsRepository,
            ApplicationsIntegrationCmsRepository,
            SigninCmsRepository,
            SignupCmsRepository,
            AuthCommonDataRepository,
            ContactModelRepository,
            SubscriptionModelRepository,
            CareerApplicationModelRepository,
            ScheduleModelRepository,
            TransactionRepository,
            TransactionNotesRepository,
            PartyRepository,
            TransactionAddressDetailsRepository,
            TransactionTimelineDetailsRepository,
            TransactionDocumentsRepository,
            EventScheduleRepository,
            InvitesRepository,
            LogsRepository,
            TransactionPaymentHistoryRepository,
        ])
    ],
    controllers: [SiteFrontendController],
    providers: [
        SiteFrontendService,
        AuthService,
        JwtHelper,
        MailSenderService
    ]
})
export class SiteFrontendModule {
}
