import { EntityRepository, getConnection, Repository } from "typeorm";
import { TransactionTimelineDetailsEntity } from "./entity/transaction-timeline-details.entity";
import { CreateTransactionTimelineDetailsDto } from "./dto/create-transaction-timeline-details.dto";
import { UpdateTransactionTimelineDetailsDto } from "./dto/update-transaction-timeline-details.dto";

@EntityRepository(TransactionTimelineDetailsEntity)
export class TransactionTimelineDetailsRepository extends Repository<TransactionTimelineDetailsEntity> {
    async createEntity(dto: any){
        try {
            const entity = this.create(
                dto
            );
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async findOneEntity(id: string): Promise<TransactionTimelineDetailsEntity | Error> {
        try {
            return this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async updateEntity(id: string, dto: UpdateTransactionTimelineDetailsDto): Promise<TransactionTimelineDetailsEntity | Error> {
        try {
            await this.update(id, dto);
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findByFilterQuery(query: any): Promise<TransactionTimelineDetailsEntity[] | Error> {
        try {
            return await this.find({
                where: {
                    ...query,
                    isDeleted: false
                },
                order: {
                    createdAt: "ASC"
                }
            });
        } catch (e) {
            return e;
        }
    }

    async deleteEntity(id: string): Promise<boolean | Error> {
        try {
            const updateResult = await getConnection()
                .createQueryBuilder()
                .update(TransactionTimelineDetailsEntity)
                .set({ isDeleted: true })
                .where("id = :id", { id: id })
                .execute();
            return updateResult.affected > 0;

        } catch (e) {
            return e;
        }
    }
}