import {IsNotEmpty} from "class-validator";
import {TransactionStatus} from '../enum/transaction-status.enum';

export class CreateTransactionDto {
    @IsNotEmpty()
    streetAddress: string;

    @IsNotEmpty()
    city: string;

    @IsNotEmpty()
    state: string;

    @IsNotEmpty()
    postalCode: string;

    @IsNotEmpty()
    clientName: string;

    @IsNotEmpty()
    price: number;

    @IsNotEmpty()
    createDate: Date;

    @IsNotEmpty()
    closingDate: Date;

    @IsNotEmpty()
    additionalNotes: string;

    @IsNotEmpty()
    userId: string;

    @IsNotEmpty()
    userName: string;

    @IsNotEmpty()
    status: TransactionStatus;

    @IsNotEmpty()
    statusChangeReason: string;

    @IsNotEmpty()
    represent: string;

    @IsNotEmpty()
    agent: string;

    @IsNotEmpty()
    sellerName: string;

    @IsNotEmpty()
    buyerName: string;
}
