import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { TransactionRepository } from './transaction.repository';
import { TransactionController } from './transaction.controller';
import { TransactionService } from './transaction.service';
import { JwtModule } from '@nestjs/jwt';
import JwtConfigService from 'src/core/jwt/jwt-config.service';
import { UsersRepository } from 'src/modules/users/user.repository';
import JwtHelper from 'src/core/jwt/jwt.helper';
import { PartyRepository } from '../party/party.repository';
import { TransactionAddressDetailsRepository } from '../transaction-address-details/transaction-address-details.repository';
import { TransactionTimelineDetailsRepository } from '../transaction-timeline-details/transaction-timeline-details.repository';
import { LogsRepository } from '../transaction-logs/logs.repository';
import { TransactionNotesRepository } from "../transaction-notes/transaction-notes.repository";


@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([
            UsersRepository,
            TransactionRepository,
            PartyRepository,
            TransactionAddressDetailsRepository,
            TransactionTimelineDetailsRepository,
            TransactionNotesRepository,
            LogsRepository
        ]),
    ],
    controllers: [TransactionController],
    providers: [TransactionService, JwtHelper]
})
export class TransactionModule {
}
